Regular Update 3.9.8 - 3.9.9 failed to start

When applying update to 3.9.9 the following appears! I thought it was an Ubuntu 18.04 issue and downgrading to Ubuntu 16.04 - with the same result.

When I fresh install Globaleaks, I get Version 3.9.8 and not 3.9.9.

root@whistleblower:~# ./install-globaleaks.sh
Checking preliminary packaging GlobaLeaks requirements

  • apt-key requirement met
  • apt-get requirement met
  • gpg requirement met
    Detected OS: Ubuntu - bionic
    Running: “/etc/init.d/globaleaks stop”… SUCCESS
    Running: “apt-get -y update”… SUCCESS
  • curl requirement met
  • netstat requirement met
    Running: “is_tcp_sock_free_check 0.0.0.0:80”… SUCCESS
    Running: “is_tcp_sock_free_check 0.0.0.0:443”… SUCCESS
    Running: “is_tcp_sock_free_check 127.0.0.1:8082”… SUCCESS
    Running: “is_tcp_sock_free_check 127.0.0.1:8083”… SUCCESS
  • required TCP sockets open
    Adding GlobaLeaks PGP key to trusted APT keys
    Running: “apt-key add /tmp/tmp.bE9jinbYCs/globaleaks_key”… SUCCESS
    Running: “rm /tmp/tmp.bE9jinbYCs/globaleaks_key”… SUCCESS
    Installing software-properties-common
    Running: “apt-get -y install software-properties-common”… SUCCESS
    Updating GlobaLeaks apt source.list in /etc/apt/sources.list.d/globaleaks.list …
    Running: “apt-get update -y”… SUCCESS
    Running: “apt-get install globaleaks -y”… SUCCESS
    Ouch! The installation is complete but GlobaLeaks failed to start.
    For Professional Support requests please visit: https://www.globaleaks.org/contact/
    Please report encountered issues to the Community Forum at https://forum.globaleaks.org

Anyone else experiencing the same issue? Any suggestions?

With best regards,

Issue of Globaleaks not running after update is now resolved… Update shows:

…Truncated…
Updating GlobaLeaks apt source.list in /etc/apt/sources.list.d/globaleaks.list …
Running: “apt-get update -y”… SUCCESS
Running: “apt-get install globaleaks -y”… SUCCESS
Install script completed.
GlobaLeaks should be reachable at:

But interface when admn logged in still shows:
Software version: 3.9.8
An update is available: 3.9.10

Running apt-get update && apt-get install globaleaks it shows version updated to 3.9.10
Fetched 88.7 kB in 1s (97.8 kB/s)
Reading package lists… Done
Reading package lists… Done
Building dependency tree
Reading state information… Done
globaleaks is already the newest version (3.9.10).

Seems like the Install log on the Admin interface is not updating.

With best regards,

Issues of:
3.9.9 not starting; and
3.9.10 not reflecting correct version in admin interface change log

ALL RESOLVED!

Thank you @Polvaris for reporting this.

Actually yes i fixed it just before your report! :slight_smile:

In case of any software issue feel free to report it directly on https://github.com/globaleaks/GlobaLeaks/issues

best,

Giovanni Pellerano